using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace e_suite.API.Common.models;

public class CreateFormTemplate
{
    [JsonPropertyName("name")]
    [Required]
    public string Name { get; set; } = string.Empty;

    [JsonPropertyName("definition")]
    public string Definition { get; set; } = string.Empty;

    [JsonPropertyName("guid")]
    public Guid? Guid { get; set; }
}
